commit: 0ad7b4a05dbca80171f3d81646a5859a2c7ed808
Author: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Mon Feb 3 17:43:44 2020 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Mon Feb 3 17:43:44 2020 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=0ad7b4a0
dev-python/curio: Concurrent I/O
Package-Manager: Portage-2.3.86, Repoman-2.3.20
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>
dev-python/curio/Manifest | 1 +
dev-python/curio/curio-0.9.ebuild | 36 ++++++++++++++++++++++++++++++++++++
dev-python/curio/metadata.xml | 9 +++++++++
3 files changed, 46 insertions(+)
diff --git a/dev-python/curio/Manifest b/dev-python/curio/Manifest
new file mode 100644
index 0000000..9d371fd
--- /dev/null
+++ b/dev-python/curio/Manifest
@@ -0,0 +1 @@
+DIST curio-0.9.tar.gz 482459 BLAKE2B
7ef65d22806eb10ee3e757dc0d63a202c13036cdb1995962e193332c50dd73585ab27449614de5995f874c03d8623ea27f967101aa99b15166d19a48f4cdaaea
SHA512
a6ae4db76358536e6e299ecfa923fd63746cba4bc5374fbfdeb4127032552c960d1e199fdf17d95b039ca2bd000325c637f663007cd6850313bc00bc9a2a3d68
diff --git a/dev-python/curio/curio-0.9.ebuild
b/dev-python/curio/curio-0.9.ebuild
new file mode 100644
index 0000000..52f0e6b
--- /dev/null
+++ b/dev-python/curio/curio-0.9.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="Concurrent I/O"
+HOMEPAGE="https://github.com/dabeaz/curio"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+IUSE="examples"
+
+LICENSE="BSD"
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+
+DEPEND="test? ( dev-python/sphinx[${PYTHON_USEDEP}] )"
+
+distutils_enable_sphinx docs --no-autodoc
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # Contains hard coded path, fails in emerge
+ rm -r tests/__pycache__ || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+ use examples && dodoc -r examples
+
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/curio/metadata.xml b/dev-python/curio/metadata.xml
new file mode 100644
index 0000000..628ab20
--- /dev/null
+++ b/dev-python/curio/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+
+<pkgmetadata>
+ <maintainer type="person">
+ <email>[email protected]</email>
+ <name>Andrew Ammerlaan</name>
+ </maintainer>
+</pkgmetadata>